org.keycloak.protocol.saml.mappers

## Class UserPropertyAttributeStatementMapper

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper
  - - org.keycloak.protocol.saml.mappers.UserPropertyAttributeStatementMapper

- All Implemented Interfaces:
    ProtocolMapper, SAMLAttributeStatementMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class UserPropertyAttributeStatementMapper
      extends AbstractSAMLProtocolMapper
      implements SAMLAttributeStatementMapper

  Mappings UserModel property (the property name of a getter method) to an AttributeStatement.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserPropertyAttributeStatementMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `createAttributeMapper(String name, String userAttribute, String samlAttributeName, String nameFormat, String friendlyName, boolean consentRequired, String consentText)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `transformAttributeStatement(AttributeStatementType attributeStatement, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, AuthenticatedClientSessionModel clientSession)`

    - ### Methods inherited from class org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper

      `close, create, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserPropertyAttributeStatementMapper

          public UserPropertyAttributeStatementMapper()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### transformAttributeStatement

          public void transformAttributeStatement(AttributeStatementType attributeStatement,
                                                  ProtocolMapperModel mappingModel,
                                                  KeycloakSession session,
                                                  UserSessionModel userSession,
                                                  AuthenticatedClientSessionModel clientSession)

      Specified by:
        `transformAttributeStatement` in interface `SAMLAttributeStatementMapper`

    - #### createAttributeMapper

          public static ProtocolMapperModel createAttributeMapper(String name,
                                                                  String userAttribute,
                                                                  String samlAttributeName,
                                                                  String nameFormat,
                                                                  String friendlyName,
                                                                  boolean consentRequired,
                                                                  String consentText)

Copyright © 2021 JBoss by Red Hat. All rights reserved.